com.thinkaurelius.titan.diskstorage.configuration

## Class ConfigNamespace

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.ConfigElement
  - - com.thinkaurelius.titan.diskstorage.configuration.ConfigNamespace

-     public class ConfigNamespace
      extends ConfigElement

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.thinkaurelius.titan.diskstorage.configuration.ConfigElement

      `ConfigElement.PathIdentifier`

  - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.configuration.ConfigElement

      `ILLEGAL_CHARS, SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigNamespace(ConfigNamespace parent, String name, String description)`
    `ConfigNamespace(ConfigNamespace parent, String name, String description, boolean isUmbrella)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigElement` | `getChild(String name)`
    `Iterable<ConfigElement>` | `getChildren()`
    `boolean` | `hasUmbrella()` Whether this namespace or any parent namespace is an umbrella namespace.
    `boolean` | `isOption()`
    `boolean` | `isUmbrella()` Wether this namespace is an umbrella namespace, that is, is expects immediate sub-namespaces which are user defined.

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.configuration.ConfigElement

      `equals, getComponents, getDescription, getName, getNamespace, getPath, getRoot, hashCode, isNamespace, isRoot, parse, toString, toString, toStringSingle`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigNamespace

          public ConfigNamespace(ConfigNamespace parent,
                         String name,
                         String description,
                         boolean isUmbrella)

    - #### ConfigNamespace

          public ConfigNamespace(ConfigNamespace parent,
                         String name,
                         String description)

  - ### Method Detail

    - #### isUmbrella

          public boolean isUmbrella()

      Wether this namespace is an umbrella namespace, that is, is expects immediate sub-namespaces which are user defined.
      Returns:

    - #### hasUmbrella

          public boolean hasUmbrella()

      Whether this namespace or any parent namespace is an umbrella namespace.
      Returns:

    - #### isOption

          public boolean isOption()

      Specified by:
        `isOption` in class `ConfigElement`

    - #### getChildren

          public Iterable<ConfigElement> getChildren()

    - #### getChild

          public ConfigElement getChild(String name)

Copyright © 2012–2014. All rights reserved.